FIX::SessionState Class Reference

Maintains all of state for the Session class. More...

`#include <SessionState.h>`

Inheritance diagram for FIX::SessionState:
[legend]
Collaboration diagram for FIX::SessionState:
[legend]

## Public Types

typedef std::pair< int, int > | ResendRange

## Public Member Functions

| SessionState ()
bool | enabled () const
void | enabled (bool value)
bool | receivedLogon () const
void | receivedLogon (bool value)
bool | sentLogout () const
void | sentLogout (bool value)
bool | sentLogon () const
void | sentLogon (bool value)
bool | receivedReset () const
void | receivedReset (bool value)
bool | sentReset () const
void | sentReset (bool value)
bool | initiate () const
void | initiate (bool value)
int | logonTimeout () const
void | logonTimeout (int value)
int | logoutTimeout () const
void | logoutTimeout (int value)
int | testRequest () const
void | testRequest (int value)
bool | resendRequested () const
ResendRange | resendRange () const
void | resendRange (int begin, int end)
MessageStore * | store ()
void | store (MessageStore *pValue)
Log * | log ()
void | log (Log *pValue)
void | heartBtInt (const HeartBtInt &value)
HeartBtInt & | heartBtInt ()
const HeartBtInt & | heartBtInt () const
void | lastSentTime (const UtcTimeStamp &value)
UtcTimeStamp & | lastSentTime ()
const UtcTimeStamp & | lastSentTime () const
void | lastReceivedTime (const UtcTimeStamp &value)
UtcTimeStamp & | lastReceivedTime ()
const UtcTimeStamp & | lastReceivedTime () const
bool | shouldSendLogon () const
bool | alreadySentLogon () const
bool | logonTimedOut () const
bool | logoutTimedOut () const
bool | withinHeartBeat () const
bool | timedOut () const
bool | needHeartbeat () const
bool | needTestRequest () const
std::string | logoutReason () const
void | logoutReason (const std::string &value)
void | queue (int msgSeqNum, const Message &message)
bool | retrieve (int msgSeqNum, Message &message)
void | clearQueue ()
bool | set (int s, const std::string &m) throw ( IOException )
void | get (int b, int e, std::vector< std::string > &m) const throw ( IOException )
int | getNextSenderMsgSeqNum () const throw ( IOException )
int | getNextTargetMsgSeqNum () const throw ( IOException )
void | setNextSenderMsgSeqNum (int n) throw ( IOException )
void | setNextTargetMsgSeqNum (int n) throw ( IOException )
void | incrNextSenderMsgSeqNum () throw ( IOException )
void | incrNextTargetMsgSeqNum () throw ( IOException )
UtcTimeStamp | getCreationTime () const throw ( IOException )
void | reset () throw ( IOException )
void | refresh () throw ( IOException )
void | clear ()
void | backup ()
void | onIncoming (const std::string &string)
void | onOutgoing (const std::string &string)
void | onEvent (const std::string &string)
Public Member Functions inherited from FIX::MessageStore
virtual | ~MessageStore ()
Public Member Functions inherited from FIX::Log
virtual | ~Log ()

## Private Types

typedef std::map< int, Message > | Messages

## Private Attributes

bool | m_enabled
bool | m_receivedLogon
bool | m_sentLogout
bool | m_sentLogon
bool | m_sentReset
bool | m_receivedReset
bool | m_initiate
int | m_logonTimeout
int | m_logoutTimeout
int | m_testRequest
ResendRange | m_resendRange
HeartBtInt | m_heartBtInt
UtcTimeStamp | m_lastSentTime
UtcTimeStamp | m_lastReceivedTime
std::string | m_logoutReason
Messages | m_queue
MessageStore * | m_pStore
Log * | m_pLog
NullLog | m_nullLog
Mutex | m_mutex

## Detailed Description

Maintains all of state for the Session class.

Definition at line 54 of file SessionState.h.

## Member Typedef Documentation

## Messages

typedef std::map< int, Message > FIX::SessionState::Messages

private

Definition at line 73 of file SessionState.h.

## ResendRange

typedef std::pair<int, int> FIX::SessionState::ResendRange

Definition at line 117 of file SessionState.h.

## Constructor & Destructor Documentation

## SessionState()

FIX::SessionState::SessionState | ( |  | ) |

inline

Definition at line 76 of file SessionState.h.

{ return m_testRequest; }
void testRequest( int value ) { m_testRequest = value; }
bool resendRequested() const
{ return !(m_resendRange.first == 0 && m_resendRange.second == 0); }

References m_testRequest.

## Member Function Documentation

## alreadySentLogon()

bool FIX::SessionState::alreadySentLogon | ( |  | ) | const

inline

Definition at line 150 of file SessionState.h.

{ Locker l( m_mutex ); return m_logoutReason; }

## backup()

void FIX::SessionState::backup | ( |  | ) |

inline virtual

Implements FIX::Log.

Definition at line 232 of file SessionState.h.

## clear()

void FIX::SessionState::clear | ( |  | ) |

inline virtual

Implements FIX::Log.

Definition at line 230 of file SessionState.h.

## clearQueue()

void FIX::SessionState::clearQueue | ( |  | ) |

inline

Definition at line 203 of file SessionState.h.

{ if ( !m_pLog ) return ; Locker l( m_mutex ); m_pLog->onOutgoing( string ); }
void onEvent( const std::string& string )

References m_mutex, m_pLog, and FIX::Log::onOutgoing().

## enabled() [1/2]

bool FIX::SessionState::enabled | ( |  | ) | const

inline

Definition at line 84 of file SessionState.h.

{ return m_resendRange; }

## enabled() [2/2]

void FIX::SessionState::enabled | ( | bool | value | ) |

inline

Definition at line 85 of file SessionState.h.

{ return m_resendRange; }

References m_resendRange.

## get()

void FIX::SessionState::get | ( | int | b,
|  | int | e,
|  | std::vector< std::string > & | m
| ) |  | const
throw | ( | IOException
| ) |  |

inline virtual

Implements FIX::MessageStore.

Definition at line 208 of file SessionState.h.

## getCreationTime()

UtcTimeStamp FIX::SessionState::getCreationTime | ( |  | ) | const
throw | ( | IOException
| ) |  |

inline virtual

Implements FIX::MessageStore.

Definition at line 223 of file SessionState.h.

## getNextSenderMsgSeqNum()

int FIX::SessionState::getNextSenderMsgSeqNum | ( |  | ) | const
throw | ( | IOException
| ) |  |

inline virtual

Implements FIX::MessageStore.

Definition at line 211 of file SessionState.h.

Referenced by FIX::Session::getTimestampPrecision().

## getNextTargetMsgSeqNum()

int FIX::SessionState::getNextTargetMsgSeqNum | ( |  | ) | const
throw | ( | IOException
| ) |  |

inline virtual

Implements FIX::MessageStore.

Definition at line 213 of file SessionState.h.

Referenced by FIX::Session::getLog(), and FIX::Session::getStore().

## heartBtInt() [1/3]

HeartBtInt& FIX::SessionState::heartBtInt | ( |  | ) |

inline

Definition at line 130 of file SessionState.h.

{

Referenced by lastSentTime().

## heartBtInt() [2/3]

const HeartBtInt& FIX::SessionState::heartBtInt | ( |  | ) | const

inline

Definition at line 132 of file SessionState.h.

{

## heartBtInt() [3/3]

void FIX::SessionState::heartBtInt | ( | const HeartBtInt & | value | ) |

inline

Definition at line 128 of file SessionState.h.

{
UtcTimeStamp now;

## incrNextSenderMsgSeqNum()

void FIX::SessionState::incrNextSenderMsgSeqNum | ( |  | ) |
throw | ( | IOException
| ) |  |

inline virtual

Implements FIX::MessageStore.

Definition at line 219 of file SessionState.h.

## incrNextTargetMsgSeqNum()

void FIX::SessionState::incrNextTargetMsgSeqNum | ( |  | ) |
throw | ( | IOException
| ) |  |

inline virtual

Implements FIX::MessageStore.

Definition at line 221 of file SessionState.h.

Referenced by FIX::Session::nextLogout(), and FIX::Session::nextQueued().

## initiate() [1/2]

bool FIX::SessionState::initiate | ( |  | ) | const

inline

Definition at line 102 of file SessionState.h.

{ m_lastSentTime = value; }

References m_lastSentTime.

Referenced by FIX::Session::getDataDictionaryProvider(), and resendRequested().

## initiate() [2/2]

void FIX::SessionState::initiate | ( | bool | value | ) |

inline

Definition at line 103 of file SessionState.h.

{ return m_lastSentTime; }

References m_lastSentTime.

## lastReceivedTime() [1/3]

UtcTimeStamp& FIX::SessionState::lastReceivedTime | ( |  | ) |

inline

Definition at line 144 of file SessionState.h.

{
UtcTimeStamp now;

## lastReceivedTime() [2/3]

const UtcTimeStamp& FIX::SessionState::lastReceivedTime | ( |  | ) | const

inline

Definition at line 146 of file SessionState.h.

## lastReceivedTime() [3/3]

void FIX::SessionState::lastReceivedTime | ( | const UtcTimeStamp & | value | ) |

inline

Definition at line 142 of file SessionState.h.

{

## lastSentTime() [1/3]

UtcTimeStamp& FIX::SessionState::lastSentTime | ( |  | ) |

inline

Definition at line 137 of file SessionState.h.

{

Referenced by lastSentTime().

## lastSentTime() [2/3]

const UtcTimeStamp& FIX::SessionState::lastSentTime | ( |  | ) | const

inline

Definition at line 139 of file SessionState.h.

{
UtcTimeStamp now;

References heartBtInt(), lastSentTime(), and testRequest().

## lastSentTime() [3/3]

void FIX::SessionState::lastSentTime | ( | const UtcTimeStamp & | value | ) |

inline

Definition at line 135 of file SessionState.h.

{

## log() [1/2]

Log* FIX::SessionState::log | ( |  | ) |

inline

Definition at line 125 of file SessionState.h.

{

## log() [2/2]

void FIX::SessionState::log | ( | Log * | pValue | ) |

inline

Definition at line 126 of file SessionState.h.

{

## logonTimedOut()

bool FIX::SessionState::logonTimedOut | ( |  | ) | const

inline

Definition at line 151 of file SessionState.h.

{ Locker l( m_mutex ); return m_logoutReason; }
void logoutReason( const std::string& value )
{ Locker l( m_mutex ); m_logoutReason = value; }
void queue( int msgSeqNum, const Message& message )

References m_logoutReason, and m_mutex.

## logonTimeout() [1/2]

int FIX::SessionState::logonTimeout | ( |  | ) | const

inline

Definition at line 105 of file SessionState.h.

{ return m_lastSentTime; }

Referenced by FIX::Session::setLogonTime().

## logonTimeout() [2/2]

void FIX::SessionState::logonTimeout | ( | int | value | ) |

inline

Definition at line 106 of file SessionState.h.

{ return m_lastSentTime; }

References m_lastSentTime.

## logoutReason() [1/2]

std::string FIX::SessionState::logoutReason | ( |  | ) | const

inline

Definition at line 184 of file SessionState.h.

{ Locker l( m_mutex ); m_pStore->setNextTargetMsgSeqNum( n ); }
void incrNextSenderMsgSeqNum() throw ( IOException )

References m_mutex, m_pStore, and FIX::MessageStore::setNextTargetMsgSeqNum().

Referenced by FIX::Session::next().

## logoutReason() [2/2]

void FIX::SessionState::logoutReason | ( | const std::string & | value | ) |

inline

Definition at line 186 of file SessionState.h.

{ Locker l( m_mutex ); m_pStore->incrNextSenderMsgSeqNum(); }
void incrNextTargetMsgSeqNum() throw ( IOException )

References FIX::MessageStore::incrNextSenderMsgSeqNum(), m_mutex, and m_pStore.

## logoutTimedOut()

bool FIX::SessionState::logoutTimedOut | ( |  | ) | const

inline

Definition at line 156 of file SessionState.h.

{ Locker l( m_mutex ); m_queue[ msgSeqNum ] = message; }
bool retrieve( int msgSeqNum, Message& message )
{
Locker l( m_mutex );
Messages::iterator i = m_queue.find( msgSeqNum );

References m_mutex, and m_queue.

## logoutTimeout() [1/2]

int FIX::SessionState::logoutTimeout | ( |  | ) | const

inline

Definition at line 108 of file SessionState.h.

{ m_lastReceivedTime = value; }

Referenced by FIX::Session::setSenderDefaultApplVerID().

## logoutTimeout() [2/2]

void FIX::SessionState::logoutTimeout | ( | int | value | ) |

inline

Definition at line 109 of file SessionState.h.

{ m_lastReceivedTime = value; }

References m_lastReceivedTime.

## needHeartbeat()

bool FIX::SessionState::needHeartbeat | ( |  | ) | const

inline

Definition at line 172 of file SessionState.h.

{ Locker l( m_mutex ); return m_pStore->set( s, m ); }
void get( int b, int e, std::vector < std::string > &m ) const
throw ( IOException )
{ Locker l( m_mutex ); m_pStore->get( b, e, m ); }

References m_mutex, m_pStore, and FIX::MessageStore::set().

## needTestRequest()

bool FIX::SessionState::needTestRequest | ( |  | ) | const

inline

Definition at line 177 of file SessionState.h.

{ Locker l( m_mutex ); return m_pStore->getNextSenderMsgSeqNum(); }
int getNextTargetMsgSeqNum() const throw ( IOException )
{ Locker l( m_mutex ); return m_pStore->getNextTargetMsgSeqNum(); }
void setNextSenderMsgSeqNum( int n ) throw ( IOException )
{ Locker l( m_mutex ); m_pStore->setNextSenderMsgSeqNum( n ); }

References FIX::MessageStore::getNextSenderMsgSeqNum(), m_mutex, and m_pStore.

## onEvent()

void FIX::SessionState::onEvent | ( | const std::string & | string | ) |

inline virtual

Implements FIX::Log.

Definition at line 238 of file SessionState.h.

Referenced by FIX::Session::doTargetTooHigh(), FIX::Session::next(), FIX::Session::nextHeartbeat(), FIX::Session::nextLogon(), and FIX::Session::nextReject().

## onIncoming()

void FIX::SessionState::onIncoming | ( | const std::string & | string | ) |

inline virtual

Implements FIX::Log.

Definition at line 234 of file SessionState.h.

## onOutgoing()

void FIX::SessionState::onOutgoing | ( | const std::string & | string | ) |

inline virtual

Implements FIX::Log.

Definition at line 236 of file SessionState.h.

## queue()

void FIX::SessionState::queue | ( | int | msgSeqNum,
|  | const Message & | message
| ) |  |

inline

Definition at line 189 of file SessionState.h.

{ Locker l( m_mutex ); return m_pStore->getCreationTime(); }

References FIX::MessageStore::getCreationTime(), m_mutex, and m_pStore.

## receivedLogon() [1/2]

bool FIX::SessionState::receivedLogon | ( |  | ) | const

inline

Definition at line 87 of file SessionState.h.

{ m_resendRange = std::make_pair( begin, end ); }

References m_resendRange.

## receivedLogon() [2/2]

void FIX::SessionState::receivedLogon | ( | bool | value | ) |

inline

Definition at line 88 of file SessionState.h.

{ return m_pStore; }

References m_pStore.

## receivedReset() [1/2]

bool FIX::SessionState::receivedReset | ( |  | ) | const

inline

Definition at line 96 of file SessionState.h.

{ return m_heartBtInt; }

Referenced by FIX::Session::sendRaw().

## receivedReset() [2/2]

void FIX::SessionState::receivedReset | ( | bool | value | ) |

inline

Definition at line 97 of file SessionState.h.

{ return m_heartBtInt; }

References m_heartBtInt.

## refresh()

void FIX::SessionState::refresh | ( |  | ) |
throw | ( | IOException
| ) |  |

inline virtual

Implements FIX::MessageStore.

Definition at line 227 of file SessionState.h.

## resendRange() [1/2]

ResendRange FIX::SessionState::resendRange | ( |  | ) | const

inline

Definition at line 119 of file SessionState.h.

{

## resendRange() [2/2]

void FIX::SessionState::resendRange | ( | int | begin,
|  | int | end
| ) |  |

inline

Definition at line 120 of file SessionState.h.

{

## resendRequested()

bool FIX::SessionState::resendRequested | ( |  | ) | const

inline

Definition at line 114 of file SessionState.h.

{ return initiate() && !sentLogon(); }

References initiate(), and sentLogon().

## reset()

void FIX::SessionState::reset | ( |  | ) |
throw | ( | IOException
| ) |  |

inline virtual

Implements FIX::MessageStore.

Definition at line 225 of file SessionState.h.

Referenced by FIX::Session::sendRaw().

## retrieve()

bool FIX::SessionState::retrieve | ( | int | msgSeqNum,
|  | Message & | message
| ) |  |

inline

Definition at line 191 of file SessionState.h.

{ Locker l( m_mutex ); m_pStore->reset(); }
void refresh() throw ( IOException )
{ Locker l( m_mutex ); m_pStore->refresh(); }
void clear()
{ if ( !m_pLog ) return ; Locker l( m_mutex ); m_pLog->clear(); }
void backup()
{ if ( !m_pLog ) return ; Locker l( m_mutex ); m_pLog->backup(); }
void onIncoming( const std::string& string )
{ if ( !m_pLog ) return ; Locker l( m_mutex ); m_pLog->onIncoming( string ); }
void onOutgoing( const std::string& string )

References m_mutex, m_pStore, and FIX::MessageStore::reset().

## sentLogon() [1/2]

bool FIX::SessionState::sentLogon | ( |  | ) | const

inline

Definition at line 93 of file SessionState.h.

{ m_heartBtInt = value; }

Referenced by resendRequested().

## sentLogon() [2/2]

void FIX::SessionState::sentLogon | ( | bool | value | ) |

inline

Definition at line 94 of file SessionState.h.

{ m_heartBtInt = value; }

References m_heartBtInt.

## sentLogout() [1/2]

bool FIX::SessionState::sentLogout | ( |  | ) | const

inline

Definition at line 90 of file SessionState.h.

{ m_pStore = pValue; }

References m_pStore.

Referenced by FIX::Session::fill().

## sentLogout() [2/2]

void FIX::SessionState::sentLogout | ( | bool | value | ) |

inline

Definition at line 91 of file SessionState.h.

{ return m_pLog ? m_pLog : &m_nullLog; }

References m_nullLog, and m_pLog.

## sentReset() [1/2]

bool FIX::SessionState::sentReset | ( |  | ) | const

inline

Definition at line 99 of file SessionState.h.

{ return m_heartBtInt; }

References m_heartBtInt.

Referenced by FIX::Session::sendRaw().

## sentReset() [2/2]

void FIX::SessionState::sentReset | ( | bool | value | ) |

inline

Definition at line 100 of file SessionState.h.

{ m_lastSentTime = value; }

## set()

bool FIX::SessionState::set | ( | int | s,
|  | const std::string & | m
| ) |  |
throw | ( | IOException
| ) |  |

inline virtual

Implements FIX::MessageStore.

Definition at line 206 of file SessionState.h.

:
bool m_enabled;

## setNextSenderMsgSeqNum()

void FIX::SessionState::setNextSenderMsgSeqNum | ( | int | n | ) |
throw | ( | IOException
| ) |  |

inline virtual

Implements FIX::MessageStore.

Definition at line 215 of file SessionState.h.

## setNextTargetMsgSeqNum()

void FIX::SessionState::setNextTargetMsgSeqNum | ( | int | n | ) |
throw | ( | IOException
| ) |  |

inline virtual

Implements FIX::MessageStore.

Definition at line 217 of file SessionState.h.

## shouldSendLogon()

bool FIX::SessionState::shouldSendLogon | ( |  | ) | const

inline

Definition at line 149 of file SessionState.h.

## store() [1/2]

MessageStore* FIX::SessionState::store | ( |  | ) |

inline

Definition at line 123 of file SessionState.h.

{

## store() [2/2]

void FIX::SessionState::store | ( | MessageStore * | pValue | ) |

inline

Definition at line 124 of file SessionState.h.

{

## testRequest() [1/2]

int FIX::SessionState::testRequest | ( |  | ) | const

inline

Definition at line 111 of file SessionState.h.

{ return m_lastReceivedTime; }

References m_lastReceivedTime.

Referenced by lastSentTime().

## testRequest() [2/2]

void FIX::SessionState::testRequest | ( | int | value | ) |

inline

Definition at line 112 of file SessionState.h.

{ return m_lastReceivedTime; }

References m_lastReceivedTime.

## timedOut()

bool FIX::SessionState::timedOut | ( |  | ) | const

inline

Definition at line 167 of file SessionState.h.

{ Locker l( m_mutex ); m_queue.clear(); }

## withinHeartBeat()

bool FIX::SessionState::withinHeartBeat | ( |  | ) | const

inline

Definition at line 161 of file SessionState.h.

{
message = i->second;
m_queue.erase( i );
return true;
}

References m_queue.

## Member Data Documentation

## m_enabled

bool FIX::SessionState::m_enabled

private

Definition at line 242 of file SessionState.h.

## m_heartBtInt

HeartBtInt FIX::SessionState::m_heartBtInt

private

Definition at line 253 of file SessionState.h.

Referenced by receivedReset(), sentLogon(), and sentReset().

## m_initiate

bool FIX::SessionState::m_initiate

private

Definition at line 248 of file SessionState.h.

## m_lastReceivedTime

UtcTimeStamp FIX::SessionState::m_lastReceivedTime

private

Definition at line 255 of file SessionState.h.

Referenced by logoutTimeout(), and testRequest().

## m_lastSentTime

UtcTimeStamp FIX::SessionState::m_lastSentTime

private

Definition at line 254 of file SessionState.h.

Referenced by initiate(), and logonTimeout().

## m_logonTimeout

int FIX::SessionState::m_logonTimeout

private

Definition at line 249 of file SessionState.h.

## m_logoutReason

std::string FIX::SessionState::m_logoutReason

private

Definition at line 256 of file SessionState.h.

Referenced by logonTimedOut().

## m_logoutTimeout

int FIX::SessionState::m_logoutTimeout

private

Definition at line 250 of file SessionState.h.

## m_mutex

Mutex FIX::SessionState::m_mutex

mutable private

Definition at line 261 of file SessionState.h.

Referenced by clearQueue(), logonTimedOut(), logoutReason(), logoutTimedOut(), needHeartbeat(), needTestRequest(), queue(), and retrieve().

## m_nullLog

NullLog FIX::SessionState::m_nullLog

private

Definition at line 260 of file SessionState.h.

Referenced by sentLogout().

## m_pLog

Log* FIX::SessionState::m_pLog

private

Definition at line 259 of file SessionState.h.

Referenced by clearQueue(), and sentLogout().

## m_pStore

MessageStore* FIX::SessionState::m_pStore

private

Definition at line 258 of file SessionState.h.

Referenced by logoutReason(), needHeartbeat(), needTestRequest(), queue(), receivedLogon(), retrieve(), and sentLogout().

## m_queue

Messages FIX::SessionState::m_queue

private

Definition at line 257 of file SessionState.h.

Referenced by logoutTimedOut(), and withinHeartBeat().

## m_receivedLogon

bool FIX::SessionState::m_receivedLogon

private

Definition at line 243 of file SessionState.h.

## m_receivedReset

bool FIX::SessionState::m_receivedReset

private

Definition at line 247 of file SessionState.h.

## m_resendRange

ResendRange FIX::SessionState::m_resendRange

private

Definition at line 252 of file SessionState.h.

Referenced by enabled(), and receivedLogon().

## m_sentLogon

bool FIX::SessionState::m_sentLogon

private

Definition at line 245 of file SessionState.h.

## m_sentLogout

bool FIX::SessionState::m_sentLogout

private

Definition at line 244 of file SessionState.h.

## m_sentReset

bool FIX::SessionState::m_sentReset

private

Definition at line 246 of file SessionState.h.

## m_testRequest

int FIX::SessionState::m_testRequest

private

Definition at line 251 of file SessionState.h.

Referenced by SessionState().

The documentation for this class was generated from the following file:

- SessionState.h

FIX::SessionState::m_queue
Messages m_queue
Definition: SessionState.h:257
FIX::SessionState::getNextTargetMsgSeqNum
int getNextTargetMsgSeqNum() const
Definition: SessionState.h:213
FIX::SessionState::testRequest
int testRequest() const
Definition: SessionState.h:111
FIX::SessionState::queue
void queue(int msgSeqNum, const Message &message)
Definition: SessionState.h:189
FIX::SessionState::m_lastSentTime
UtcTimeStamp m_lastSentTime
Definition: SessionState.h:254
FIX::SessionState::m_logoutReason
std::string m_logoutReason
Definition: SessionState.h:256
FIX::SessionState::backup
void backup()
Definition: SessionState.h:232
FIX::SessionState::onOutgoing
void onOutgoing(const std::string &string)
Definition: SessionState.h:236
FIX::MessageStore::getCreationTime
virtual UtcTimeStamp getCreationTime() const =0
FIX::MessageStore::incrNextSenderMsgSeqNum
virtual void incrNextSenderMsgSeqNum()=0
FIX::SessionState::retrieve
bool retrieve(int msgSeqNum, Message &message)
Definition: SessionState.h:191
FIX::SessionState::get
void get(int b, int e, std::vector< std::string > &m) const
Definition: SessionState.h:208
FIX::SessionState::m_nullLog
NullLog m_nullLog
Definition: SessionState.h:260
FIX::SessionState::m_pLog
Log * m_pLog
Definition: SessionState.h:259
FIX::Log::backup
virtual void backup()=0
FIX::TYPE::UtcTimeStamp
@ UtcTimeStamp
Definition: FieldTypes.h:940
FIX::SessionState::initiate
bool initiate() const
Definition: SessionState.h:102
FIX::SessionState::setNextSenderMsgSeqNum
void setNextSenderMsgSeqNum(int n)
Definition: SessionState.h:215
FIX::MessageStore::reset
virtual void reset()=0
FIX::MessageStore::setNextTargetMsgSeqNum
virtual void setNextTargetMsgSeqNum(int)=0
FIX::MessageStore::refresh
virtual void refresh()=0
FIX::SessionState::m_lastReceivedTime
UtcTimeStamp m_lastReceivedTime
Definition: SessionState.h:255
FIX::SessionState::m_heartBtInt
HeartBtInt m_heartBtInt
Definition: SessionState.h:253
FIX::SessionState::clear
void clear()
Definition: SessionState.h:230
FIX::SessionState::sentLogon
bool sentLogon() const
Definition: SessionState.h:93
FIX::SessionState::onIncoming
void onIncoming(const std::string &string)
Definition: SessionState.h:234
FIX::SessionState::m_resendRange
ResendRange m_resendRange
Definition: SessionState.h:252
FIX::MessageStore::set
virtual bool set(int, const std::string &)=0
FIX::SessionState::logoutReason
std::string logoutReason() const
Definition: SessionState.h:184
FIX::SessionState::resendRequested
bool resendRequested() const
Definition: SessionState.h:114
FIX::SessionState::m_testRequest
int m_testRequest
Definition: SessionState.h:251
FIX::MessageStore::get
virtual void get(int, int, std::vector< std::string > &) const =0
FIX::Log::clear
virtual void clear()=0
FIX::SessionState::m_enabled
bool m_enabled
Definition: SessionState.h:242
FIX::MessageStore::getNextSenderMsgSeqNum
virtual int getNextSenderMsgSeqNum() const =0
FIX::SessionState::m_pStore
MessageStore * m_pStore
Definition: SessionState.h:258
FIX::SessionState::onEvent
void onEvent(const std::string &string)
Definition: SessionState.h:238
FIX::SessionState::refresh
void refresh()
Definition: SessionState.h:227
FIX::Log::onIncoming
virtual void onIncoming(const std::string &)=0
FIX::Log::onOutgoing
virtual void onOutgoing(const std::string &)=0
FIX::SessionState::incrNextSenderMsgSeqNum
void incrNextSenderMsgSeqNum()
Definition: SessionState.h:219
FIX::SessionState::incrNextTargetMsgSeqNum
void incrNextTargetMsgSeqNum()
Definition: SessionState.h:221
FIX::MessageStore::getNextTargetMsgSeqNum
virtual int getNextTargetMsgSeqNum() const =0
FIX::SessionState::m_mutex
Mutex m_mutex
Definition: SessionState.h:261
FIX::MessageStore::setNextSenderMsgSeqNum
virtual void setNextSenderMsgSeqNum(int)=0